@import '../mixins';
@import '../variables';

.footer {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  background-color: $green;
  height: 97px;
  margin-top: 19px;

  @include xs {
    flex-direction: column;
    align-items: center;
    justify-content: center;
    height: 55px;
  }

  @include s {
    flex-direction: column;
    align-items: center;
    justify-content: center;
  }


  &__logo {
    width: 104px;
    height: 83px;

    @include xs {
      display: none;
    }

    @include s {
      display: none;
    }

    @include m {
      margin: 7px 30px;
    }

    @include l {
      margin: 7px 37px;
    }
  }

  &__text {
    display: flex;
    justify-content: center;
    align-items: center;
    font-family: $main-font;
    color: $white;


    @include xs {
      display: block;
      text-align: center;
    }

    @include s {
      display: block;
      text-align: center;
    }

    @include m {
      margin-right: 38px;
    }

    @include l {
      margin-right: 38px;
    }

    & span {
      display: block;
      font-size: 16px;

      @include xs {
        font-size: 12px;
      }
    }
  }
}